### Function

# Gtk enumerate_printers

#### Declaration [src]

    void
    gtk_enumerate_printers (
      GtkPrinterFunc func,
      gpointer data,
      GDestroyNotify destroy,
      gboolean wait
    )

#### Description [src]

Calls a function for all printers that are known to GTK.

If `func` returns true, the enumeration is stopped.

#### Parameters

`func`

  Type: `GtkPrinterFunc`

  A function to call for each printer.

`data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  Function to call if `data` is no longer needed.

`wait`

  Type: `gboolean`

  If true, wait in a recursive mainloop until all printers are enumerated; otherwise return early.